package thyyxxk.webserver.controller.zhuyuanyizheng;

import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;
import thyyxxk.webserver.entity.ResultVo;
import thyyxxk.webserver.entity.zhuyuanyisheng.sendPatientPrompt.dto.SendDockerPrompt;
import thyyxxk.webserver.service.zhuyuanyisheng.SendDockerPromptService;
import thyyxxk.webserver.utils.R;

import java.util.List;

@RequestMapping("/sendDockerPrompt")
@RestController
@RequiredArgsConstructor
public class SendDockerPromptController {
    private final SendDockerPromptService service;

    @GetMapping("/getSendDockerPrompt")
    public ResultVo<List<SendDockerPrompt>> getSendDockerPrompt(@RequestParam("patNo") String patNo,
                                                                @RequestParam("times") Integer times) {
        return service.getSendDockerPrompt(patNo, times);
    }

    @PostMapping("/readPrompt")
    public ResultVo<String> readPrompt(@RequestBody List<String> id) {
        return service.readPrompt(id);
    }

    @PostMapping("/sendPrompt")
    public ResultVo<String> sendPrompt(@RequestBody SendDockerPromptService.SavePrompt params) {
        service.sendPrompt(params);
        return R.ok();
    }


}
